Bug 969194 - SELinux is preventing /usr/lib64/xulrunner/plugin-container from 'getattr' accesses on the sock_file /run/atieventsd.socket.
SELinux is preventing /usr/lib64/xulrunner/plugin-container from 'getattr' ac...
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-05-30 17:14 EDT by Jake Jackson
Modified: 2014-06-22 06:29 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-10-25 09:13:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jake Jackson 2013-05-30 17:14:41 EDT
Description of problem:
SELinux is preventing /usr/lib64/xulrunner/plugin-container from 'getattr' accesses on the sock_file /run/atieventsd.socket.

*****  Plugin mozplugger (99.1 confidence) suggests  *************************

If you want to use the plugin package
Then you must turn off SELinux controls on the Firefox plugins.
# setsebool unconfined_mozilla_plugin_transition 0

*****  Plugin catchall (1.81 confidence) suggests  ***************************

If you believe that plugin-container should be allowed getattr access on the atieventsd.socket sock_file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
allow this access for now by executing:
# grep pool /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
Target Context                system_u:object_r:var_run_t:s0
Target Objects                /run/atieventsd.socket [ sock_file ]
Source                        pool
Source Path                   /usr/lib64/xulrunner/plugin-container
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           xulrunner-21.0-4.fc18.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.11.1-96.fc18.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.9.4-200.fc18.x86_64 #1 SMP Fri
                              May 24 20:10:49 UTC 2013 x86_64 x86_64
Alert Count                   2
First Seen                    2013-05-30 23:02:25 CEST
Last Seen                     2013-05-30 23:02:32 CEST
Local ID                      8a0aa3d4-032e-4819-b470-4687d3c56421

Raw Audit Messages
type=AVC msg=audit(1369947752.727:589): avc:  denied  { getattr } for  pid=15546 comm="pool" path="/run/atieventsd.socket" dev="tmpfs" ino=24920 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=system_u:object_r:var_run_t:s0 tclass=sock_file

type=SYSCALL msg=audit(1369947752.727:589): arch=x86_64 syscall=lstat success=no exit=EACCES a0=7f7f1c939cc0 a1=7f7f1e892970 a2=7f7f1e892970 a3=7f7f1c954040 items=0 ppid=2167 pid=15546 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 ses=2 tty=(none) comm=pool exe=/usr/lib64/xulrunner/plugin-container subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)

Hash: pool,mozilla_plugin_t,var_run_t,sock_file,getattr


#============= mozilla_plugin_t ==============
allow mozilla_plugin_t var_run_t:sock_file getattr;

audit2allow -R
require {
	type mozilla_plugin_t;

#============= mozilla_plugin_t ==============

Additional info:
reporter:       libreport-2.1.4
hashmarkername: setroubleshoot
kernel:         3.9.4-200.fc18.x86_64
type:           libreport
Comment 1 Miroslav Grepl 2013-06-04 07:28:08 EDT
Where does atieventsd.socket come from?
Comment 2 Jake Jackson 2014-06-22 06:29:26 EDT
Hey guys,

sry for beeing sooo unreliable,... apologies!

As far as i remember firefox crashed while streaming a movie.

Next time i will respond in time!

Note You need to log in before you can comment on or make changes to this bug.